#include <avr/io.h>
#include <math.h>
#define F_CPU 8000000
//#include <util/delay.h>
#include "delay.h"

#ifndef _DS18X20LIB_h_
#define _DS18X20LIB_h_

//-----------------------------------------
// Set Ports
//-----------------------------------------
#define DS1820_pin_pc0	PC0                //Sensor #1
#define DS1820_pin_pc1	PC1                //Sensor #2
#define DS1820_pin_pc2	PC2                //Sensor #3
#define DS1820_pin_pc3 	PC3                //Sensor #4
#define DS1820_pin_pc4	PC4                //Sensor #5
#define DS1820_PIN	PINC                   //DS1820 PIN
#define DS1820_PORT	PORTC                  //DS1820 PORT
#define DS1820_DDR	DDRC                   //DS1820 DDR
//-----------------------------------------
// Prototypes
//-----------------------------------------
uint8_t ds1820_reset(uint8_t);
void ds1820_wr_bit(uint8_t,uint8_t);
uint8_t ds1820_re_bit(uint8_t);
uint8_t ds1820_re_byte(uint8_t);
void ds1820_wr_byte(uint8_t,uint8_t);
float ds1820_read_temp(uint8_t);
void  ds1820_init(uint8_t);

#endif
